CVE-2019-6461

Name
CVE-2019-6461
Description
An issue was discovered in cairo 1.16.0. There is an assertion problem in the function _cairo_arc_in_direction in the file cairo-arc.c.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Exploit https://gitlab.freedesktop.org/cairo/cairo/issues/352
Not Applicable https://github.com/TeamSeri0us/pocs/tree/master/gerbv
Mailing List https://lists.apache.org/thread.html/rf9fa47ab66495c78bb4120b0754dd9531ca2ff0430f6685ac9b07772@%3Cdev.mina.apache.org%3E

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:cairographics:cairo:1.16.0:*:*:*:*:*:*:* cairo == None == 1.16.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
cairo edge-main 1.16.0-r3 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
cairo 3.14-main 1.16.0-r3 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
cairo 3.13-main 1.16.0-r2 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
cairo 3.12-main 1.16.0-r3 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable
cairo 3.11-main 1.16.0-r3 Natanael Copa <ncopa@alpinelinux.org> possibly vulnerable